# NOTE: despite some comments in configure, SSE2 is not selected at runtime;
# SSE2 option seems to change the ABI of library
#
# Conditional build:
%bcond_without	static_libs	# static library
%bcond_without	introspection	# gobject introspection
%bcond_with	sse2		# x86 SSE2 fast paths
%bcond_without	armneon		# ARM NEON fast paths

%ifarch pentium4 %{x8664} x32
%define	with_sse2	1
%endif
Summary:	Graphene - a thin layer of types for graphic libraries
Summary(pl.UTF-8):	Graphene - cienka warstwa typów dla bibliotek graficznych
Name:		graphene
Version:	1.10.8
Release:	1
License:	MIT
Group:		Libraries
Source0:	https://download.gnome.org/sources/graphene/1.10/%{name}-%{version}.tar.xz
# Source0-md5:	169e3c507b5a5c26e9af492412070b81
URL:		https://github.com/ebassi/graphene
%if %{with sse2} || %{with armneon}
BuildRequires:	gcc >= 6:4.9
%else
BuildRequires:	gcc >= 5:3.2
%endif
BuildRequires:	glib2-devel >= 1:2.40.0
%{?with_introspection:BuildRequires:	gobject-introspection-devel >= 1.41.0}
BuildRequires:	gtk-doc >= 1.20
BuildRequires:	meson >= 0.55.3
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.40.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Graphene provides a small set of mathematical types needed to
implement graphic libraries that deal with 2D and 3D transformations
and projections.

%description -l pl.UTF-8
Graphene udostępnia mały zestaw typów matematycznych potrzebnych przy
implementowaniu bibliotek graficznych wykonujących przekształcenia i
rzuty 2D oraz 3D.

%package devel
Summary:	Header files for Graphene library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Graphene
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.40.0

%description devel
Header files for Graphene library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Graphene.

%package static
Summary:	Static Graphene library
Summary(pl.UTF-8):	Statyczna biblioteka Graphene
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Graphene library.

%description static -l pl.UTF-8
Statyczna biblioteka Graphene.

%package apidocs
Summary:	API documentation for Graphene library
Summary(pl.UTF-8):	Dokumentacja API biblioteki Graphene
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for Graphene library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki Graphene.

%prep
%setup -q

%build
%meson build \
	%{!?with_armneon:-Darm_neon=false} \
	-Dgtk_doc=true \
	%{!?with_introspection:-Dintrospection=false} \
	%{!?with_sse2:-Dsse2=false} \
	-Dtests=false

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE.txt README.md
%attr(755,root,root) %{_libdir}/libgraphene-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgraphene-1.0.so.0
%if %{with introspection}
%{_libdir}/girepository-1.0/Graphene-1.0.typelib
%endif

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgraphene-1.0.so
%{_includedir}/graphene-1.0
%dir %{_libdir}/graphene-1.0
%{_libdir}/graphene-1.0/include
%if %{with introspection}
%{_datadir}/gir-1.0/Graphene-1.0.gir
%endif
%{_pkgconfigdir}/graphene-1.0.pc
%{_pkgconfigdir}/graphene-gobject-1.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgraphene-1.0.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/graphene
%changelog
* Tue Mar 29 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/graphene.git;a=log;h=master

* Tue Mar 29 2022 Jakub Bogusz <qboosh@pld-linux.org> 73c43ee
- updated to 1.10.8
- x32 is also always sse2-capable

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 93c4f9d
- rebuild with separate debuginfo build-ids

* Thu Jun 17 2021 Jan Palus <atler@pld-linux.org> 8454996
- updated deprecated meson macros

* Wed Apr 07 2021 Jakub Bogusz <qboosh@pld-linux.org> b213e09
- updated to 1.10.6
- removed obsolete gir patch

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 875a29d
- unconditional noarch subpackages

* Tue Jun 23 2020 Jakub Bogusz <qboosh@pld-linux.org> 09305cc
- updated to 1.10.2

* Thu Oct 17 2019 Jakub Bogusz <qboosh@pld-linux.org> 66288e3
- updated to 1.10.0

* Sat Apr 20 2019 Jakub Bogusz <qboosh@pld-linux.org> d41a2c7
- updated to 1.8.6

* Mon Oct 22 2018 Jakub Bogusz <qboosh@pld-linux.org> 4b7a3b5
- updated to 1.8.2
- removed obsolete gcc patch
- added gir patch (build introspection even also when both shared+static libraries are built

* Wed May 24 2017 Jakub Bogusz <qboosh@pld-linux.org> 593c756
- updated to 1.6.0

* Sun Feb 05 2017 Jakub Bogusz <qboosh@pld-linux.org> b676c95
- updated to 1.4.0

* Wed Apr 27 2016 Elan Ruusamäe <glen@delfi.ee> eba3a6e
- noarch apidocs

* Thu Oct 15 2015 Jakub Bogusz <qboosh@pld-linux.org> 4c5fe2b
- updated to 1.2.10
- updated gcc patch
- removed obsolete bench patch

* Tue Mar 03 2015 Elan Ruusamäe <glen@delfi.ee> f48edf4
- x32 rebuild
- release 2 (by relup.sh)

* Sun Jul 27 2014 Jakub Bogusz <qboosh@pld-linux.org> c61b6a1
- new

